<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security" layout:decorate="~{layoutadmin}">

<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>

<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">Details</h5>
                                        <span class="h2 font-weight-bold mb-0">Presensi</span>
                                    </div>
                                    <div class="col-auto">
                                        <div
                                                class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-user-astronaut"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <!-- Table -->
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">Data List</h3>
                            </div>
                            <div class="col text-right">
                                <button type="button" class="btn btn-dark btn-sm" onclick="openModalPresensi()"><i
                                        class="fas fa-plus-circle"></i> Add</button>
                                <a th:href="@{/studiesActivity/attendance/download(jadwal = ${jadwal.id})}"
                                   class="btn btn-info btn-sm text-darker"><i class="fas
                                         fa-download"></i> Download Rekap Presensi </a>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-4" style="text-align: center; padding: 10px;">
                            <b style="font-size: 17px;"
                               th:text="${jadwal.matakuliahKurikulum.matakuliah.namaMatakuliah}">Intership</b>
                            <br>
                            <p style="font-size: 14px;" th:text="${jadwal.matakuliahKurikulum.jumlahSks + ' SKS'}">3
                                SKS</p>
                        </div>
                        <div class="col-md-4" style="text-align: center; padding: 10px;">
                            <b style="font-size: 17px;" th:text="${jadwal.kelas.namaKelas}">MUA-15</b>
                        </div>
                        <div class="col-md-4" style="text-align: center; padding: 10px;">
                            <b style="font-size: 17px;">Schedule</b>
                            <br>
                            <p style="font-size: 14px;"
                               th:text="${jadwal.hari.namaHari +', ' + jadwal.jamMulai + ' - ' + jadwal.jamSelesai}">
                                Sunday, 15:31:00 - 18:00:00</p>
                        </div>
                    </div>
                    <div class="table-responsive" th:if="${not #lists.isEmpty(detail)}">
                        <table class="table align-items-center table-flush">
                            <thead class="thead-light">
                            <tr>
                                <th scope="col">#</th>
                                <th scope="col">Waktu Masuk</th>
                                <th scope="col">Dosen</th>
                                <th scope="col">Pertemuan</th>
                                <th>Berita Acara</th>
                                <th scope="col"></th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr class="headings" th:each="data,row : ${detail}">
                                <td th:text="${(row.index + 1)}">#</td>
                                <td th:text="${data.masuk}">Jam</td>
                                <td style="white-space:pre-wrap; word-wrap:break-word" th:utext="${data.dosen}">
                                    Jam</td>
                                <td><span class="badge badge-info" th:text="${data.pertemuan}"></span></td>
                                <td style="white-space:pre-wrap; word-wrap:break-word" th:text="${data.berita}">
                                    Dosen</td>
                                <td>
                                    <button type="button"
                                            class="btn btn-info btn-outline-info btn-sm dropdown-toggle"
                                            data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                        <i class="fas fa-cog"></i>
                                        Attendence</button>
                                    <div class="dropdown-menu">
                                        <a th:href="@{/studiesActivity/attendance/mahasiswa (id = ${data.sesi})}"
                                           class="dropdown-item"> Kehadiran Mahasiswa</a>
                                        <a th:href="@{/studiesActivity/attendance/barcode (id = ${data.idPresensi})}"
                                           class="dropdown-item"> Barcode</a>
                                        <a th:href="@{/studiesActivity/attendance/form (id = ${data.sesi})}"
                                           class="dropdown-item"> Edit Topic</a>
                                    </div>

                                    <button type="button" class="btn btn-danger btn-sm" data-toggle="modal"
                                            th:data-target="${'#modal-notification'+data.sesi}">
                                        <i class="fas fa-trash"></i>
                                    </button>

                                    <div class="modal fade" th:id="${'modal-notification'+data.sesi}"
                                         tabindex="-1" role="dialog" aria-labelledby="modal-notification"
                                         aria-hidden="true">
                                        <div class="modal-dialog modal-danger modal-dialog-centered modal-"
                                             role="document">
                                            <div class="modal-content bg-gradient-danger">

                                                <div class="modal-header">
                                                    <h6 class="modal-title" id="modal-title-notification">Your
                                                        attention is required</h6>
                                                    <button type="button" class="close" data-dismiss="modal"
                                                            aria-label="Close">
                                                        <span aria-hidden="true">×</span>
                                                    </button>
                                                </div>

                                                <div class="modal-body">

                                                    <div class="py-3 text-center">
                                                        <i class="far fa-trash-alt fa-3x"></i>
                                                        <h4 class="heading mt-4">Are you sure ?</h4>
                                                        <p>Once deleted, you will not be able to recover this
                                                            imaginary file!</p>
                                                    </div>

                                                </div>

                                                <div class="modal-footer">
                                                    <form
                                                            th:action="@{/studiesActivity/attendance/delete (id = ${data.sesi})}"
                                                            method="post">
                                                        <button type="submit"
                                                                class="btn btn-white">Delete</button>
                                                    </form>
                                                    <button type="button"
                                                            class="btn btn-link text-white ml-auto"
                                                            data-dismiss="modal">Close</button>
                                                </div>

                                            </div>
                                        </div>
                                    </div>
                                </td>

                            </tr>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- Dark table -->


        <div class="modal fade" id="exampleModal" data-backdrop="false" role="dialog"
             aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <form id="save-presensi" th:action="@{/studiesActivity/attendance/detail}" th:object="${jadwal}"
                      method="post">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModalLabel">Tambah Presensi</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Pertemuan :</label>
                                        <select id="pertemuan" name="pertemuan" class="form-control">
                                            <option value="Pengganti Offline">Kelas Pengganti Offline</option>
                                            <option value="Pengganti Online">Kelas Pengganti Online</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Tanggal :</label>
                                        <input type="date" name="tanggal" required class="form-control">
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Dosen :</label>
                                        <select name="dosen" class="form-control">
                                            <option value=""></option>
                                            <option th:each="dosen : ${teamTeaching}"
                                                    th:text="${dosen.dosen.karyawan.namaKaryawan}"
                                                    th:value="${dosen.dosen.id}">sdasd</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Berita Acara :</label>
                                        <textarea name="beritaAcara" class="form-control" id=""></textarea>
                                    </div>
                                </div>
                                <input type="hidden" id="idJadwal" name="jadwal" th:value="${jadwal.id}">
                                <input type="hidden" name="tahunAkademik" th:value="${jadwal.tahunAkademik.id}">
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Tutup</button>
                            <button type="submit" id="btnPresensi" onclick="savePresensi()"
                                    class="btn btn-primary">Simpan</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>

    </div>
</div>
</body>

</html>
<script>
    function openModalPresensi() {
        $("#exampleModal").modal({
            show: true
        });

        const url = '/check-presensi-dosen/' + $('#idJadwal').val();
        let dropdown = $('#pertemuan');
        dropdown.empty();

        $.getJSON(url, function (data) {
            if (data.code == '404') {
                dropdown.append($('<option></option>').attr('value', 'Offline').text('Offline'));
                dropdown.append($('<option></option>').attr('value', 'Online').text('Online'));
                dropdown.append($('<option></option>').attr('value', 'Pengganti Offline').text(
                    'Pengganti Offline'));
                dropdown.append($('<option></option>').attr('value', 'Pengganti Online').text(
                    'Pengganti Online'));

            }

            if (data.code == '200') {
                dropdown.append($('<option></option>').attr('value', 'Pengganti Offline').text(
                    'Pengganti Offline'));
                dropdown.append($('<option></option>').attr('value', 'Pengganti Online').text(
                    'Pengganti Online'));
            }
        });
    }

    function savePresensi() {

        $("#btnPresensi").removeClass("btn-primary");
        $("#btnPresensi").addClass("btn-warning");
        $("#btnPresensi").prop('disabled', true);
        $("#btnPresensi").html('Loading...');

        $("#save-presensi").submit();

    }
</script>
